Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:bb00/120
First address
2c19:dd:d9:dd:c25:c25:94de:bb00
Last address
2c19:dd:d9:dd:c25:c25:94de:bbff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:bb00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
b.b.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:94de:bb00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:bb00/1282c19:dd:d9:dd:c25:c25:94de:bb00
22c19:dd:d9:dd:c25:c25:94de:bb01/1282c19:dd:d9:dd:c25:c25:94de:bb01
32c19:dd:d9:dd:c25:c25:94de:bb02/1282c19:dd:d9:dd:c25:c25:94de:bb02
42c19:dd:d9:dd:c25:c25:94de:bb03/1282c19:dd:d9:dd:c25:c25:94de:bb03
52c19:dd:d9:dd:c25:c25:94de:bb04/1282c19:dd:d9:dd:c25:c25:94de:bb04
62c19:dd:d9:dd:c25:c25:94de:bb05/1282c19:dd:d9:dd:c25:c25:94de:bb05
72c19:dd:d9:dd:c25:c25:94de:bb06/1282c19:dd:d9:dd:c25:c25:94de:bb06
82c19:dd:d9:dd:c25:c25:94de:bb07/1282c19:dd:d9:dd:c25:c25:94de:bb07
92c19:dd:d9:dd:c25:c25:94de:bb08/1282c19:dd:d9:dd:c25:c25:94de:bb08
102c19:dd:d9:dd:c25:c25:94de:bb09/1282c19:dd:d9:dd:c25:c25:94de:bb09
112c19:dd:d9:dd:c25:c25:94de:bb0a/1282c19:dd:d9:dd:c25:c25:94de:bb0a
122c19:dd:d9:dd:c25:c25:94de:bb0b/1282c19:dd:d9:dd:c25:c25:94de:bb0b
132c19:dd:d9:dd:c25:c25:94de:bb0c/1282c19:dd:d9:dd:c25:c25:94de:bb0c
142c19:dd:d9:dd:c25:c25:94de:bb0d/1282c19:dd:d9:dd:c25:c25:94de:bb0d
152c19:dd:d9:dd:c25:c25:94de:bb0e/1282c19:dd:d9:dd:c25:c25:94de:bb0e
162c19:dd:d9:dd:c25:c25:94de:bb0f/1282c19:dd:d9:dd:c25:c25:94de:bb0f
172c19:dd:d9:dd:c25:c25:94de:bb10/1282c19:dd:d9:dd:c25:c25:94de:bb10
182c19:dd:d9:dd:c25:c25:94de:bb11/1282c19:dd:d9:dd:c25:c25:94de:bb11
192c19:dd:d9:dd:c25:c25:94de:bb12/1282c19:dd:d9:dd:c25:c25:94de:bb12
202c19:dd:d9:dd:c25:c25:94de:bb13/1282c19:dd:d9:dd:c25:c25:94de:bb13
212c19:dd:d9:dd:c25:c25:94de:bb14/1282c19:dd:d9:dd:c25:c25:94de:bb14
222c19:dd:d9:dd:c25:c25:94de:bb15/1282c19:dd:d9:dd:c25:c25:94de:bb15
232c19:dd:d9:dd:c25:c25:94de:bb16/1282c19:dd:d9:dd:c25:c25:94de:bb16
242c19:dd:d9:dd:c25:c25:94de:bb17/1282c19:dd:d9:dd:c25:c25:94de:bb17
252c19:dd:d9:dd:c25:c25:94de:bb18/1282c19:dd:d9:dd:c25:c25:94de:bb18
262c19:dd:d9:dd:c25:c25:94de:bb19/1282c19:dd:d9:dd:c25:c25:94de:bb19
272c19:dd:d9:dd:c25:c25:94de:bb1a/1282c19:dd:d9:dd:c25:c25:94de:bb1a
282c19:dd:d9:dd:c25:c25:94de:bb1b/1282c19:dd:d9:dd:c25:c25:94de:bb1b
292c19:dd:d9:dd:c25:c25:94de:bb1c/1282c19:dd:d9:dd:c25:c25:94de:bb1c
302c19:dd:d9:dd:c25:c25:94de:bb1d/1282c19:dd:d9:dd:c25:c25:94de:bb1d
312c19:dd:d9:dd:c25:c25:94de:bb1e/1282c19:dd:d9:dd:c25:c25:94de:bb1e
322c19:dd:d9:dd:c25:c25:94de:bb1f/1282c19:dd:d9:dd:c25:c25:94de:bb1f
332c19:dd:d9:dd:c25:c25:94de:bb20/1282c19:dd:d9:dd:c25:c25:94de:bb20
342c19:dd:d9:dd:c25:c25:94de:bb21/1282c19:dd:d9:dd:c25:c25:94de:bb21
352c19:dd:d9:dd:c25:c25:94de:bb22/1282c19:dd:d9:dd:c25:c25:94de:bb22
362c19:dd:d9:dd:c25:c25:94de:bb23/1282c19:dd:d9:dd:c25:c25:94de:bb23
372c19:dd:d9:dd:c25:c25:94de:bb24/1282c19:dd:d9:dd:c25:c25:94de:bb24
382c19:dd:d9:dd:c25:c25:94de:bb25/1282c19:dd:d9:dd:c25:c25:94de:bb25
392c19:dd:d9:dd:c25:c25:94de:bb26/1282c19:dd:d9:dd:c25:c25:94de:bb26
402c19:dd:d9:dd:c25:c25:94de:bb27/1282c19:dd:d9:dd:c25:c25:94de:bb27
412c19:dd:d9:dd:c25:c25:94de:bb28/1282c19:dd:d9:dd:c25:c25:94de:bb28
422c19:dd:d9:dd:c25:c25:94de:bb29/1282c19:dd:d9:dd:c25:c25:94de:bb29
432c19:dd:d9:dd:c25:c25:94de:bb2a/1282c19:dd:d9:dd:c25:c25:94de:bb2a
442c19:dd:d9:dd:c25:c25:94de:bb2b/1282c19:dd:d9:dd:c25:c25:94de:bb2b
452c19:dd:d9:dd:c25:c25:94de:bb2c/1282c19:dd:d9:dd:c25:c25:94de:bb2c
462c19:dd:d9:dd:c25:c25:94de:bb2d/1282c19:dd:d9:dd:c25:c25:94de:bb2d
472c19:dd:d9:dd:c25:c25:94de:bb2e/1282c19:dd:d9:dd:c25:c25:94de:bb2e
482c19:dd:d9:dd:c25:c25:94de:bb2f/1282c19:dd:d9:dd:c25:c25:94de:bb2f
492c19:dd:d9:dd:c25:c25:94de:bb30/1282c19:dd:d9:dd:c25:c25:94de:bb30
502c19:dd:d9:dd:c25:c25:94de:bb31/1282c19:dd:d9:dd:c25:c25:94de:bb31
512c19:dd:d9:dd:c25:c25:94de:bb32/1282c19:dd:d9:dd:c25:c25:94de:bb32
522c19:dd:d9:dd:c25:c25:94de:bb33/1282c19:dd:d9:dd:c25:c25:94de:bb33
532c19:dd:d9:dd:c25:c25:94de:bb34/1282c19:dd:d9:dd:c25:c25:94de:bb34
542c19:dd:d9:dd:c25:c25:94de:bb35/1282c19:dd:d9:dd:c25:c25:94de:bb35
552c19:dd:d9:dd:c25:c25:94de:bb36/1282c19:dd:d9:dd:c25:c25:94de:bb36
562c19:dd:d9:dd:c25:c25:94de:bb37/1282c19:dd:d9:dd:c25:c25:94de:bb37
572c19:dd:d9:dd:c25:c25:94de:bb38/1282c19:dd:d9:dd:c25:c25:94de:bb38
582c19:dd:d9:dd:c25:c25:94de:bb39/1282c19:dd:d9:dd:c25:c25:94de:bb39
592c19:dd:d9:dd:c25:c25:94de:bb3a/1282c19:dd:d9:dd:c25:c25:94de:bb3a
602c19:dd:d9:dd:c25:c25:94de:bb3b/1282c19:dd:d9:dd:c25:c25:94de:bb3b
612c19:dd:d9:dd:c25:c25:94de:bb3c/1282c19:dd:d9:dd:c25:c25:94de:bb3c
622c19:dd:d9:dd:c25:c25:94de:bb3d/1282c19:dd:d9:dd:c25:c25:94de:bb3d
632c19:dd:d9:dd:c25:c25:94de:bb3e/1282c19:dd:d9:dd:c25:c25:94de:bb3e
642c19:dd:d9:dd:c25:c25:94de:bb3f/1282c19:dd:d9:dd:c25:c25:94de:bb3f
652c19:dd:d9:dd:c25:c25:94de:bb40/1282c19:dd:d9:dd:c25:c25:94de:bb40
662c19:dd:d9:dd:c25:c25:94de:bb41/1282c19:dd:d9:dd:c25:c25:94de:bb41
672c19:dd:d9:dd:c25:c25:94de:bb42/1282c19:dd:d9:dd:c25:c25:94de:bb42
682c19:dd:d9:dd:c25:c25:94de:bb43/1282c19:dd:d9:dd:c25:c25:94de:bb43
692c19:dd:d9:dd:c25:c25:94de:bb44/1282c19:dd:d9:dd:c25:c25:94de:bb44
702c19:dd:d9:dd:c25:c25:94de:bb45/1282c19:dd:d9:dd:c25:c25:94de:bb45
712c19:dd:d9:dd:c25:c25:94de:bb46/1282c19:dd:d9:dd:c25:c25:94de:bb46
722c19:dd:d9:dd:c25:c25:94de:bb47/1282c19:dd:d9:dd:c25:c25:94de:bb47
732c19:dd:d9:dd:c25:c25:94de:bb48/1282c19:dd:d9:dd:c25:c25:94de:bb48
742c19:dd:d9:dd:c25:c25:94de:bb49/1282c19:dd:d9:dd:c25:c25:94de:bb49
752c19:dd:d9:dd:c25:c25:94de:bb4a/1282c19:dd:d9:dd:c25:c25:94de:bb4a
762c19:dd:d9:dd:c25:c25:94de:bb4b/1282c19:dd:d9:dd:c25:c25:94de:bb4b
772c19:dd:d9:dd:c25:c25:94de:bb4c/1282c19:dd:d9:dd:c25:c25:94de:bb4c
782c19:dd:d9:dd:c25:c25:94de:bb4d/1282c19:dd:d9:dd:c25:c25:94de:bb4d
792c19:dd:d9:dd:c25:c25:94de:bb4e/1282c19:dd:d9:dd:c25:c25:94de:bb4e
802c19:dd:d9:dd:c25:c25:94de:bb4f/1282c19:dd:d9:dd:c25:c25:94de:bb4f
812c19:dd:d9:dd:c25:c25:94de:bb50/1282c19:dd:d9:dd:c25:c25:94de:bb50
822c19:dd:d9:dd:c25:c25:94de:bb51/1282c19:dd:d9:dd:c25:c25:94de:bb51
832c19:dd:d9:dd:c25:c25:94de:bb52/1282c19:dd:d9:dd:c25:c25:94de:bb52
842c19:dd:d9:dd:c25:c25:94de:bb53/1282c19:dd:d9:dd:c25:c25:94de:bb53
852c19:dd:d9:dd:c25:c25:94de:bb54/1282c19:dd:d9:dd:c25:c25:94de:bb54
862c19:dd:d9:dd:c25:c25:94de:bb55/1282c19:dd:d9:dd:c25:c25:94de:bb55
872c19:dd:d9:dd:c25:c25:94de:bb56/1282c19:dd:d9:dd:c25:c25:94de:bb56
882c19:dd:d9:dd:c25:c25:94de:bb57/1282c19:dd:d9:dd:c25:c25:94de:bb57
892c19:dd:d9:dd:c25:c25:94de:bb58/1282c19:dd:d9:dd:c25:c25:94de:bb58
902c19:dd:d9:dd:c25:c25:94de:bb59/1282c19:dd:d9:dd:c25:c25:94de:bb59
912c19:dd:d9:dd:c25:c25:94de:bb5a/1282c19:dd:d9:dd:c25:c25:94de:bb5a
922c19:dd:d9:dd:c25:c25:94de:bb5b/1282c19:dd:d9:dd:c25:c25:94de:bb5b
932c19:dd:d9:dd:c25:c25:94de:bb5c/1282c19:dd:d9:dd:c25:c25:94de:bb5c
942c19:dd:d9:dd:c25:c25:94de:bb5d/1282c19:dd:d9:dd:c25:c25:94de:bb5d
952c19:dd:d9:dd:c25:c25:94de:bb5e/1282c19:dd:d9:dd:c25:c25:94de:bb5e
962c19:dd:d9:dd:c25:c25:94de:bb5f/1282c19:dd:d9:dd:c25:c25:94de:bb5f
972c19:dd:d9:dd:c25:c25:94de:bb60/1282c19:dd:d9:dd:c25:c25:94de:bb60
982c19:dd:d9:dd:c25:c25:94de:bb61/1282c19:dd:d9:dd:c25:c25:94de:bb61
992c19:dd:d9:dd:c25:c25:94de:bb62/1282c19:dd:d9:dd:c25:c25:94de:bb62
1002c19:dd:d9:dd:c25:c25:94de:bb63/1282c19:dd:d9:dd:c25:c25:94de:bb63
1012c19:dd:d9:dd:c25:c25:94de:bb64/1282c19:dd:d9:dd:c25:c25:94de:bb64
1022c19:dd:d9:dd:c25:c25:94de:bb65/1282c19:dd:d9:dd:c25:c25:94de:bb65
1032c19:dd:d9:dd:c25:c25:94de:bb66/1282c19:dd:d9:dd:c25:c25:94de:bb66
1042c19:dd:d9:dd:c25:c25:94de:bb67/1282c19:dd:d9:dd:c25:c25:94de:bb67
1052c19:dd:d9:dd:c25:c25:94de:bb68/1282c19:dd:d9:dd:c25:c25:94de:bb68
1062c19:dd:d9:dd:c25:c25:94de:bb69/1282c19:dd:d9:dd:c25:c25:94de:bb69
1072c19:dd:d9:dd:c25:c25:94de:bb6a/1282c19:dd:d9:dd:c25:c25:94de:bb6a
1082c19:dd:d9:dd:c25:c25:94de:bb6b/1282c19:dd:d9:dd:c25:c25:94de:bb6b
1092c19:dd:d9:dd:c25:c25:94de:bb6c/1282c19:dd:d9:dd:c25:c25:94de:bb6c
1102c19:dd:d9:dd:c25:c25:94de:bb6d/1282c19:dd:d9:dd:c25:c25:94de:bb6d
1112c19:dd:d9:dd:c25:c25:94de:bb6e/1282c19:dd:d9:dd:c25:c25:94de:bb6e
1122c19:dd:d9:dd:c25:c25:94de:bb6f/1282c19:dd:d9:dd:c25:c25:94de:bb6f
1132c19:dd:d9:dd:c25:c25:94de:bb70/1282c19:dd:d9:dd:c25:c25:94de:bb70
1142c19:dd:d9:dd:c25:c25:94de:bb71/1282c19:dd:d9:dd:c25:c25:94de:bb71
1152c19:dd:d9:dd:c25:c25:94de:bb72/1282c19:dd:d9:dd:c25:c25:94de:bb72
1162c19:dd:d9:dd:c25:c25:94de:bb73/1282c19:dd:d9:dd:c25:c25:94de:bb73
1172c19:dd:d9:dd:c25:c25:94de:bb74/1282c19:dd:d9:dd:c25:c25:94de:bb74
1182c19:dd:d9:dd:c25:c25:94de:bb75/1282c19:dd:d9:dd:c25:c25:94de:bb75
1192c19:dd:d9:dd:c25:c25:94de:bb76/1282c19:dd:d9:dd:c25:c25:94de:bb76
1202c19:dd:d9:dd:c25:c25:94de:bb77/1282c19:dd:d9:dd:c25:c25:94de:bb77
1212c19:dd:d9:dd:c25:c25:94de:bb78/1282c19:dd:d9:dd:c25:c25:94de:bb78
1222c19:dd:d9:dd:c25:c25:94de:bb79/1282c19:dd:d9:dd:c25:c25:94de:bb79
1232c19:dd:d9:dd:c25:c25:94de:bb7a/1282c19:dd:d9:dd:c25:c25:94de:bb7a
1242c19:dd:d9:dd:c25:c25:94de:bb7b/1282c19:dd:d9:dd:c25:c25:94de:bb7b
1252c19:dd:d9:dd:c25:c25:94de:bb7c/1282c19:dd:d9:dd:c25:c25:94de:bb7c
1262c19:dd:d9:dd:c25:c25:94de:bb7d/1282c19:dd:d9:dd:c25:c25:94de:bb7d
1272c19:dd:d9:dd:c25:c25:94de:bb7e/1282c19:dd:d9:dd:c25:c25:94de:bb7e
1282c19:dd:d9:dd:c25:c25:94de:bb7f/1282c19:dd:d9:dd:c25:c25:94de:bb7f
1292c19:dd:d9:dd:c25:c25:94de:bb80/1282c19:dd:d9:dd:c25:c25:94de:bb80
1302c19:dd:d9:dd:c25:c25:94de:bb81/1282c19:dd:d9:dd:c25:c25:94de:bb81
1312c19:dd:d9:dd:c25:c25:94de:bb82/1282c19:dd:d9:dd:c25:c25:94de:bb82
1322c19:dd:d9:dd:c25:c25:94de:bb83/1282c19:dd:d9:dd:c25:c25:94de:bb83
1332c19:dd:d9:dd:c25:c25:94de:bb84/1282c19:dd:d9:dd:c25:c25:94de:bb84
1342c19:dd:d9:dd:c25:c25:94de:bb85/1282c19:dd:d9:dd:c25:c25:94de:bb85
1352c19:dd:d9:dd:c25:c25:94de:bb86/1282c19:dd:d9:dd:c25:c25:94de:bb86
1362c19:dd:d9:dd:c25:c25:94de:bb87/1282c19:dd:d9:dd:c25:c25:94de:bb87
1372c19:dd:d9:dd:c25:c25:94de:bb88/1282c19:dd:d9:dd:c25:c25:94de:bb88
1382c19:dd:d9:dd:c25:c25:94de:bb89/1282c19:dd:d9:dd:c25:c25:94de:bb89
1392c19:dd:d9:dd:c25:c25:94de:bb8a/1282c19:dd:d9:dd:c25:c25:94de:bb8a
1402c19:dd:d9:dd:c25:c25:94de:bb8b/1282c19:dd:d9:dd:c25:c25:94de:bb8b
1412c19:dd:d9:dd:c25:c25:94de:bb8c/1282c19:dd:d9:dd:c25:c25:94de:bb8c
1422c19:dd:d9:dd:c25:c25:94de:bb8d/1282c19:dd:d9:dd:c25:c25:94de:bb8d
1432c19:dd:d9:dd:c25:c25:94de:bb8e/1282c19:dd:d9:dd:c25:c25:94de:bb8e
1442c19:dd:d9:dd:c25:c25:94de:bb8f/1282c19:dd:d9:dd:c25:c25:94de:bb8f
1452c19:dd:d9:dd:c25:c25:94de:bb90/1282c19:dd:d9:dd:c25:c25:94de:bb90
1462c19:dd:d9:dd:c25:c25:94de:bb91/1282c19:dd:d9:dd:c25:c25:94de:bb91
1472c19:dd:d9:dd:c25:c25:94de:bb92/1282c19:dd:d9:dd:c25:c25:94de:bb92
1482c19:dd:d9:dd:c25:c25:94de:bb93/1282c19:dd:d9:dd:c25:c25:94de:bb93
1492c19:dd:d9:dd:c25:c25:94de:bb94/1282c19:dd:d9:dd:c25:c25:94de:bb94
1502c19:dd:d9:dd:c25:c25:94de:bb95/1282c19:dd:d9:dd:c25:c25:94de:bb95
1512c19:dd:d9:dd:c25:c25:94de:bb96/1282c19:dd:d9:dd:c25:c25:94de:bb96
1522c19:dd:d9:dd:c25:c25:94de:bb97/1282c19:dd:d9:dd:c25:c25:94de:bb97
1532c19:dd:d9:dd:c25:c25:94de:bb98/1282c19:dd:d9:dd:c25:c25:94de:bb98
1542c19:dd:d9:dd:c25:c25:94de:bb99/1282c19:dd:d9:dd:c25:c25:94de:bb99
1552c19:dd:d9:dd:c25:c25:94de:bb9a/1282c19:dd:d9:dd:c25:c25:94de:bb9a
1562c19:dd:d9:dd:c25:c25:94de:bb9b/1282c19:dd:d9:dd:c25:c25:94de:bb9b
1572c19:dd:d9:dd:c25:c25:94de:bb9c/1282c19:dd:d9:dd:c25:c25:94de:bb9c
1582c19:dd:d9:dd:c25:c25:94de:bb9d/1282c19:dd:d9:dd:c25:c25:94de:bb9d
1592c19:dd:d9:dd:c25:c25:94de:bb9e/1282c19:dd:d9:dd:c25:c25:94de:bb9e
1602c19:dd:d9:dd:c25:c25:94de:bb9f/1282c19:dd:d9:dd:c25:c25:94de:bb9f
1612c19:dd:d9:dd:c25:c25:94de:bba0/1282c19:dd:d9:dd:c25:c25:94de:bba0
1622c19:dd:d9:dd:c25:c25:94de:bba1/1282c19:dd:d9:dd:c25:c25:94de:bba1
1632c19:dd:d9:dd:c25:c25:94de:bba2/1282c19:dd:d9:dd:c25:c25:94de:bba2
1642c19:dd:d9:dd:c25:c25:94de:bba3/1282c19:dd:d9:dd:c25:c25:94de:bba3
1652c19:dd:d9:dd:c25:c25:94de:bba4/1282c19:dd:d9:dd:c25:c25:94de:bba4
1662c19:dd:d9:dd:c25:c25:94de:bba5/1282c19:dd:d9:dd:c25:c25:94de:bba5
1672c19:dd:d9:dd:c25:c25:94de:bba6/1282c19:dd:d9:dd:c25:c25:94de:bba6
1682c19:dd:d9:dd:c25:c25:94de:bba7/1282c19:dd:d9:dd:c25:c25:94de:bba7
1692c19:dd:d9:dd:c25:c25:94de:bba8/1282c19:dd:d9:dd:c25:c25:94de:bba8
1702c19:dd:d9:dd:c25:c25:94de:bba9/1282c19:dd:d9:dd:c25:c25:94de:bba9
1712c19:dd:d9:dd:c25:c25:94de:bbaa/1282c19:dd:d9:dd:c25:c25:94de:bbaa
1722c19:dd:d9:dd:c25:c25:94de:bbab/1282c19:dd:d9:dd:c25:c25:94de:bbab
1732c19:dd:d9:dd:c25:c25:94de:bbac/1282c19:dd:d9:dd:c25:c25:94de:bbac
1742c19:dd:d9:dd:c25:c25:94de:bbad/1282c19:dd:d9:dd:c25:c25:94de:bbad
1752c19:dd:d9:dd:c25:c25:94de:bbae/1282c19:dd:d9:dd:c25:c25:94de:bbae
1762c19:dd:d9:dd:c25:c25:94de:bbaf/1282c19:dd:d9:dd:c25:c25:94de:bbaf
1772c19:dd:d9:dd:c25:c25:94de:bbb0/1282c19:dd:d9:dd:c25:c25:94de:bbb0
1782c19:dd:d9:dd:c25:c25:94de:bbb1/1282c19:dd:d9:dd:c25:c25:94de:bbb1
1792c19:dd:d9:dd:c25:c25:94de:bbb2/1282c19:dd:d9:dd:c25:c25:94de:bbb2
1802c19:dd:d9:dd:c25:c25:94de:bbb3/1282c19:dd:d9:dd:c25:c25:94de:bbb3
1812c19:dd:d9:dd:c25:c25:94de:bbb4/1282c19:dd:d9:dd:c25:c25:94de:bbb4
1822c19:dd:d9:dd:c25:c25:94de:bbb5/1282c19:dd:d9:dd:c25:c25:94de:bbb5
1832c19:dd:d9:dd:c25:c25:94de:bbb6/1282c19:dd:d9:dd:c25:c25:94de:bbb6
1842c19:dd:d9:dd:c25:c25:94de:bbb7/1282c19:dd:d9:dd:c25:c25:94de:bbb7
1852c19:dd:d9:dd:c25:c25:94de:bbb8/1282c19:dd:d9:dd:c25:c25:94de:bbb8
1862c19:dd:d9:dd:c25:c25:94de:bbb9/1282c19:dd:d9:dd:c25:c25:94de:bbb9
1872c19:dd:d9:dd:c25:c25:94de:bbba/1282c19:dd:d9:dd:c25:c25:94de:bbba
1882c19:dd:d9:dd:c25:c25:94de:bbbb/1282c19:dd:d9:dd:c25:c25:94de:bbbb
1892c19:dd:d9:dd:c25:c25:94de:bbbc/1282c19:dd:d9:dd:c25:c25:94de:bbbc
1902c19:dd:d9:dd:c25:c25:94de:bbbd/1282c19:dd:d9:dd:c25:c25:94de:bbbd
1912c19:dd:d9:dd:c25:c25:94de:bbbe/1282c19:dd:d9:dd:c25:c25:94de:bbbe
1922c19:dd:d9:dd:c25:c25:94de:bbbf/1282c19:dd:d9:dd:c25:c25:94de:bbbf
1932c19:dd:d9:dd:c25:c25:94de:bbc0/1282c19:dd:d9:dd:c25:c25:94de:bbc0
1942c19:dd:d9:dd:c25:c25:94de:bbc1/1282c19:dd:d9:dd:c25:c25:94de:bbc1
1952c19:dd:d9:dd:c25:c25:94de:bbc2/1282c19:dd:d9:dd:c25:c25:94de:bbc2
1962c19:dd:d9:dd:c25:c25:94de:bbc3/1282c19:dd:d9:dd:c25:c25:94de:bbc3
1972c19:dd:d9:dd:c25:c25:94de:bbc4/1282c19:dd:d9:dd:c25:c25:94de:bbc4
1982c19:dd:d9:dd:c25:c25:94de:bbc5/1282c19:dd:d9:dd:c25:c25:94de:bbc5
1992c19:dd:d9:dd:c25:c25:94de:bbc6/1282c19:dd:d9:dd:c25:c25:94de:bbc6
2002c19:dd:d9:dd:c25:c25:94de:bbc7/1282c19:dd:d9:dd:c25:c25:94de:bbc7
2012c19:dd:d9:dd:c25:c25:94de:bbc8/1282c19:dd:d9:dd:c25:c25:94de:bbc8
2022c19:dd:d9:dd:c25:c25:94de:bbc9/1282c19:dd:d9:dd:c25:c25:94de:bbc9
2032c19:dd:d9:dd:c25:c25:94de:bbca/1282c19:dd:d9:dd:c25:c25:94de:bbca
2042c19:dd:d9:dd:c25:c25:94de:bbcb/1282c19:dd:d9:dd:c25:c25:94de:bbcb
2052c19:dd:d9:dd:c25:c25:94de:bbcc/1282c19:dd:d9:dd:c25:c25:94de:bbcc
2062c19:dd:d9:dd:c25:c25:94de:bbcd/1282c19:dd:d9:dd:c25:c25:94de:bbcd
2072c19:dd:d9:dd:c25:c25:94de:bbce/1282c19:dd:d9:dd:c25:c25:94de:bbce
2082c19:dd:d9:dd:c25:c25:94de:bbcf/1282c19:dd:d9:dd:c25:c25:94de:bbcf
2092c19:dd:d9:dd:c25:c25:94de:bbd0/1282c19:dd:d9:dd:c25:c25:94de:bbd0
2102c19:dd:d9:dd:c25:c25:94de:bbd1/1282c19:dd:d9:dd:c25:c25:94de:bbd1
2112c19:dd:d9:dd:c25:c25:94de:bbd2/1282c19:dd:d9:dd:c25:c25:94de:bbd2
2122c19:dd:d9:dd:c25:c25:94de:bbd3/1282c19:dd:d9:dd:c25:c25:94de:bbd3
2132c19:dd:d9:dd:c25:c25:94de:bbd4/1282c19:dd:d9:dd:c25:c25:94de:bbd4
2142c19:dd:d9:dd:c25:c25:94de:bbd5/1282c19:dd:d9:dd:c25:c25:94de:bbd5
2152c19:dd:d9:dd:c25:c25:94de:bbd6/1282c19:dd:d9:dd:c25:c25:94de:bbd6
2162c19:dd:d9:dd:c25:c25:94de:bbd7/1282c19:dd:d9:dd:c25:c25:94de:bbd7
2172c19:dd:d9:dd:c25:c25:94de:bbd8/1282c19:dd:d9:dd:c25:c25:94de:bbd8
2182c19:dd:d9:dd:c25:c25:94de:bbd9/1282c19:dd:d9:dd:c25:c25:94de:bbd9
2192c19:dd:d9:dd:c25:c25:94de:bbda/1282c19:dd:d9:dd:c25:c25:94de:bbda
2202c19:dd:d9:dd:c25:c25:94de:bbdb/1282c19:dd:d9:dd:c25:c25:94de:bbdb
2212c19:dd:d9:dd:c25:c25:94de:bbdc/1282c19:dd:d9:dd:c25:c25:94de:bbdc
2222c19:dd:d9:dd:c25:c25:94de:bbdd/1282c19:dd:d9:dd:c25:c25:94de:bbdd
2232c19:dd:d9:dd:c25:c25:94de:bbde/1282c19:dd:d9:dd:c25:c25:94de:bbde
2242c19:dd:d9:dd:c25:c25:94de:bbdf/1282c19:dd:d9:dd:c25:c25:94de:bbdf
2252c19:dd:d9:dd:c25:c25:94de:bbe0/1282c19:dd:d9:dd:c25:c25:94de:bbe0
2262c19:dd:d9:dd:c25:c25:94de:bbe1/1282c19:dd:d9:dd:c25:c25:94de:bbe1
2272c19:dd:d9:dd:c25:c25:94de:bbe2/1282c19:dd:d9:dd:c25:c25:94de:bbe2
2282c19:dd:d9:dd:c25:c25:94de:bbe3/1282c19:dd:d9:dd:c25:c25:94de:bbe3
2292c19:dd:d9:dd:c25:c25:94de:bbe4/1282c19:dd:d9:dd:c25:c25:94de:bbe4
2302c19:dd:d9:dd:c25:c25:94de:bbe5/1282c19:dd:d9:dd:c25:c25:94de:bbe5
2312c19:dd:d9:dd:c25:c25:94de:bbe6/1282c19:dd:d9:dd:c25:c25:94de:bbe6
2322c19:dd:d9:dd:c25:c25:94de:bbe7/1282c19:dd:d9:dd:c25:c25:94de:bbe7
2332c19:dd:d9:dd:c25:c25:94de:bbe8/1282c19:dd:d9:dd:c25:c25:94de:bbe8
2342c19:dd:d9:dd:c25:c25:94de:bbe9/1282c19:dd:d9:dd:c25:c25:94de:bbe9
2352c19:dd:d9:dd:c25:c25:94de:bbea/1282c19:dd:d9:dd:c25:c25:94de:bbea
2362c19:dd:d9:dd:c25:c25:94de:bbeb/1282c19:dd:d9:dd:c25:c25:94de:bbeb
2372c19:dd:d9:dd:c25:c25:94de:bbec/1282c19:dd:d9:dd:c25:c25:94de:bbec
2382c19:dd:d9:dd:c25:c25:94de:bbed/1282c19:dd:d9:dd:c25:c25:94de:bbed
2392c19:dd:d9:dd:c25:c25:94de:bbee/1282c19:dd:d9:dd:c25:c25:94de:bbee
2402c19:dd:d9:dd:c25:c25:94de:bbef/1282c19:dd:d9:dd:c25:c25:94de:bbef
2412c19:dd:d9:dd:c25:c25:94de:bbf0/1282c19:dd:d9:dd:c25:c25:94de:bbf0
2422c19:dd:d9:dd:c25:c25:94de:bbf1/1282c19:dd:d9:dd:c25:c25:94de:bbf1
2432c19:dd:d9:dd:c25:c25:94de:bbf2/1282c19:dd:d9:dd:c25:c25:94de:bbf2
2442c19:dd:d9:dd:c25:c25:94de:bbf3/1282c19:dd:d9:dd:c25:c25:94de:bbf3
2452c19:dd:d9:dd:c25:c25:94de:bbf4/1282c19:dd:d9:dd:c25:c25:94de:bbf4
2462c19:dd:d9:dd:c25:c25:94de:bbf5/1282c19:dd:d9:dd:c25:c25:94de:bbf5
2472c19:dd:d9:dd:c25:c25:94de:bbf6/1282c19:dd:d9:dd:c25:c25:94de:bbf6
2482c19:dd:d9:dd:c25:c25:94de:bbf7/1282c19:dd:d9:dd:c25:c25:94de:bbf7
2492c19:dd:d9:dd:c25:c25:94de:bbf8/1282c19:dd:d9:dd:c25:c25:94de:bbf8
2502c19:dd:d9:dd:c25:c25:94de:bbf9/1282c19:dd:d9:dd:c25:c25:94de:bbf9
2512c19:dd:d9:dd:c25:c25:94de:bbfa/1282c19:dd:d9:dd:c25:c25:94de:bbfa
2522c19:dd:d9:dd:c25:c25:94de:bbfb/1282c19:dd:d9:dd:c25:c25:94de:bbfb
2532c19:dd:d9:dd:c25:c25:94de:bbfc/1282c19:dd:d9:dd:c25:c25:94de:bbfc
2542c19:dd:d9:dd:c25:c25:94de:bbfd/1282c19:dd:d9:dd:c25:c25:94de:bbfd
2552c19:dd:d9:dd:c25:c25:94de:bbfe/1282c19:dd:d9:dd:c25:c25:94de:bbfe
2562c19:dd:d9:dd:c25:c25:94de:bbff/1282c19:dd:d9:dd:c25:c25:94de:bbff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses